Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.xqj
Class SaxonXQConnection

    java.lang.Object
      net.sf.saxon.xqj.SaxonXQDataFactory
          net.sf.saxon.xqj.SaxonXQConnection

All Implemented Interfaces:
  XQConnection, XQDataFactory, XQStaticContext

    public class SaxonXQConnection

extends SaxonXQDataFactory
implements XQConnection

Saxon implementation of the XQL interface XQConnection. This interface represents a "connection" between an XQuery application and an XQuery server. In Saxon the client and server run in the same process so the concept of a connection is rather notional, and some of the properties have little meaning. However, the connection is the factory object used to compile queries.

For Javadoc descriptions of the public methors, see the XQJ documentation.

Method Summary
`void` | `clearWarnings()`
`void` | `close()`
`void` | `commit()`
`XQExpression` | `createExpression()`
`String` | `getBaseURI()`
`int` | `getBoundarySpacePolicy()`
`XQCommonHandler` | `getCommonHandler()`
`Configuration` | `getConfiguration()`
`int` | `getConstructionMode()`
`int` | `getCopyNamespacesModeInherit()`
`int` | `getCopyNamespacesModePreserve()`
`String` | `getDefaultCollation()`
`String` | `getDefaultElementTypeNamespace()`
`String` | `getDefaultFunctionNamespace()`
`int` | `getDefaultOrderForEmptySequences()`
`int` | `getHoldability()`
`String[]` | `getInScopeNamespacePrefixes()`
`XQMetaData` | `getMetaData()`
`String` | `getMetaDataProperty(String key)`
`String` | `getNamespaceURI(String prefix)`
`int` | `getOrderingMode()`
`int` | `getQueryLanguageTypeAndVersion()`
`int` | `getScrollability()`
`QName[]` | `getStaticInScopeVariableNames()`
`XQSequenceType` | `getStaticInScopeVariableType(QName varname)`
`String[]` | `getSupportedMetaDataPropertyNames()`
`int` | `getUpdatability()`
`XQWarning` | `getWarnings()`
`boolean` | `isClosed()`
`XQPreparedExpression` | `prepareExpression(InputStream xquery)`
`XQPreparedExpression` | `prepareExpression(InputStream xquery, XQItemType contextItemType)`
`XQPreparedExpression` | `prepareExpression(Reader xquery)`
`XQPreparedExpression` | `prepareExpression(Reader xquery, XQItemType contextItemType)`
`XQPreparedExpression` | `prepareExpression(String xquery)`
`XQPreparedExpression` | `prepareExpression(String xquery, XQItemType contextItemType)`
`void` | `rollback()`
`void` | `setCommonHandler(XQCommonHandler handler)`
`void` | `setHoldability(int holdability)`
`void` | `setQueryLanguageTypeAndVersion(int langtype)`
`void` | `setScrollability(int scrollability)`
`void` | `setUpdatability(int updatability)`

Methods inherited from class net.sf.saxon.xqj.SaxonXQDataFactory
`createAtomicItemType, createItem, createItemFromAtomicValue, createItemFromBoolean, createItemFromByte, createItemFromDocument, createItemFromDouble, createItemFromFloat, createItemFromInt, createItemFromLong, createItemFromNode, createItemFromObject, createItemFromShort, createItemType, createItemType, createSequence, createSequence, createSequenceType`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface net.sf.saxon.javax.xml.xquery.XQDataFactory
`createAtomicItemType, createItem, createItemFromAtomicValue, createItemFromBoolean, createItemFromByte, createItemFromDocument, createItemFromDouble, createItemFromFloat, createItemFromInt, createItemFromLong, createItemFromNode, createItemFromObject, createItemFromShort, createItemType, createItemType, createSequence, createSequence, createSequenceType`

Method Detail

### getConfiguration

    public Configuration getConfiguration()

### getCommonHandler

    public XQCommonHandler getCommonHandler()

### clearWarnings

    public void clearWarnings()
                       throws XQException

  Specified by:
    `clearWarnings` in interface `XQConnection`
  Throws:
    `XQException`

### close

    public void close()

  Specified by:
    `close` in interface `XQConnection`

### commit

    public void commit()
                throws XQException

  Specified by:
    `commit` in interface `XQConnection`
  Throws:
    `XQException`

### createExpression

    public XQExpression createExpression()
                                  throws XQException

  Specified by:
    `createExpression` in interface `XQConnection`
  Throws:
    `XQException`

### getHoldability

    public int getHoldability()
                       throws XQException

  Specified by:
    `getHoldability` in interface `XQConnection`
  Throws:
    `XQException`

### getMetaData

    public XQMetaData getMetaData()
                           throws XQException

  Specified by:
    `getMetaData` in interface `XQConnection`
  Throws:
    `XQException`

### getMetaDataProperty

    public String getMetaDataProperty(String key)
                               throws XQException

  Specified by:
    `getMetaDataProperty` in interface `XQConnection`
  Throws:
    `XQException`

### getQueryLanguageTypeAndVersion

    public int getQueryLanguageTypeAndVersion()
                                       throws XQException

  Specified by:
    `getQueryLanguageTypeAndVersion` in interface `XQConnection`
  Throws:
    `XQException`

### getScrollability

    public int getScrollability()
                         throws XQException

  Specified by:
    `getScrollability` in interface `XQConnection`
  Throws:
    `XQException`

### getSupportedMetaDataPropertyNames

    public String[] getSupportedMetaDataPropertyNames()
                                               throws XQException

  Specified by:
    `getSupportedMetaDataPropertyNames` in interface `XQConnection`
  Throws:
    `XQException`

### getUpdatability

    public int getUpdatability()
                        throws XQException

  Specified by:
    `getUpdatability` in interface `XQConnection`
  Throws:
    `XQException`

### getWarnings

    public XQWarning getWarnings()
                          throws XQException

  Specified by:
    `getWarnings` in interface `XQConnection`
  Throws:
    `XQException`

### isClosed

    public boolean isClosed()

  Specified by:
    `isClosed` in interface `XQConnection`

### prepareExpression

    public XQPreparedExpression prepareExpression(InputStream xquery)
                                           throws XQException

  Specified by:
    `prepareExpression` in interface `XQConnection`
  Throws:
    `XQException`

### prepareExpression

    public XQPreparedExpression prepareExpression(InputStream xquery,
                                                  XQItemType contextItemType)
                                           throws XQException

  Specified by:
    `prepareExpression` in interface `XQConnection`
  Throws:
    `XQException`

### prepareExpression

    public XQPreparedExpression prepareExpression(Reader xquery)
                                           throws XQException

  Specified by:
    `prepareExpression` in interface `XQConnection`
  Throws:
    `XQException`

### prepareExpression

    public XQPreparedExpression prepareExpression(Reader xquery,
                                                  XQItemType contextItemType)
                                           throws XQException

  Specified by:
    `prepareExpression` in interface `XQConnection`
  Throws:
    `XQException`

### prepareExpression

    public XQPreparedExpression prepareExpression(String xquery)
                                           throws XQException

  Specified by:
    `prepareExpression` in interface `XQConnection`
  Throws:
    `XQException`

### prepareExpression

    public XQPreparedExpression prepareExpression(String xquery,
                                                  XQItemType contextItemType)
                                           throws XQException

  Specified by:
    `prepareExpression` in interface `XQConnection`
  Throws:
    `XQException`

### rollback

    public void rollback()
                  throws XQException

  Specified by:
    `rollback` in interface `XQConnection`
  Throws:
    `XQException`

### setCommonHandler

    public void setCommonHandler(XQCommonHandler handler)

  Specified by:
    `setCommonHandler` in interface `XQConnection`

### setHoldability

    public void setHoldability(int holdability)
                        throws XQException

  Specified by:
    `setHoldability` in interface `XQConnection`
  Throws:
    `XQException`

### setQueryLanguageTypeAndVersion

    public void setQueryLanguageTypeAndVersion(int langtype)
                                        throws XQException

  Specified by:
    `setQueryLanguageTypeAndVersion` in interface `XQConnection`
  Throws:
    `XQException`

### setScrollability

    public void setScrollability(int scrollability)
                          throws XQException

  Specified by:
    `setScrollability` in interface `XQConnection`
  Throws:
    `XQException`

### setUpdatability

    public void setUpdatability(int updatability)
                         throws XQException

  Specified by:
    `setUpdatability` in interface `XQConnection`
  Throws:
    `XQException`

### getBaseURI

    public String getBaseURI()
                      throws XQException

  Specified by:
    `getBaseURI` in interface `XQStaticContext`
  Throws:
    `XQException`

### getBoundarySpacePolicy

    public int getBoundarySpacePolicy()
                               throws XQException

  Specified by:
    `getBoundarySpacePolicy` in interface `XQStaticContext`
  Throws:
    `XQException`

### getConstructionMode

    public int getConstructionMode()
                            throws XQException

  Specified by:
    `getConstructionMode` in interface `XQStaticContext`
  Throws:
    `XQException`

### getCopyNamespacesModeInherit

    public int getCopyNamespacesModeInherit()
                                     throws XQException

  Specified by:
    `getCopyNamespacesModeInherit` in interface `XQStaticContext`
  Throws:
    `XQException`

### getCopyNamespacesModePreserve

    public int getCopyNamespacesModePreserve()
                                      throws XQException

  Specified by:
    `getCopyNamespacesModePreserve` in interface `XQStaticContext`
  Throws:
    `XQException`

### getDefaultCollation

    public String getDefaultCollation()
                               throws XQException

  Specified by:
    `getDefaultCollation` in interface `XQStaticContext`
  Throws:
    `XQException`

### getDefaultElementTypeNamespace

    public String getDefaultElementTypeNamespace()
                                          throws XQException

  Specified by:
    `getDefaultElementTypeNamespace` in interface `XQStaticContext`
  Throws:
    `XQException`

### getDefaultFunctionNamespace

    public String getDefaultFunctionNamespace()
                                       throws XQException

  Specified by:
    `getDefaultFunctionNamespace` in interface `XQStaticContext`
  Throws:
    `XQException`

### getDefaultOrderForEmptySequences

    public int getDefaultOrderForEmptySequences()
                                         throws XQException

  Specified by:
    `getDefaultOrderForEmptySequences` in interface `XQStaticContext`
  Throws:
    `XQException`

### getInScopeNamespacePrefixes

    public String[] getInScopeNamespacePrefixes()
                                         throws XQException

  Specified by:
    `getInScopeNamespacePrefixes` in interface `XQStaticContext`
  Throws:
    `XQException`

### getNamespaceURI

    public String getNamespaceURI(String prefix)
                           throws XQException

  Specified by:
    `getNamespaceURI` in interface `XQStaticContext`
  Throws:
    `XQException`

### getOrderingMode

    public int getOrderingMode()
                        throws XQException

  Specified by:
    `getOrderingMode` in interface `XQStaticContext`
  Throws:
    `XQException`

### getStaticInScopeVariableNames

    public QName[] getStaticInScopeVariableNames()
                                          throws XQException

  Specified by:
    `getStaticInScopeVariableNames` in interface `XQStaticContext`
  Throws:
    `XQException`

### getStaticInScopeVariableType

    public XQSequenceType getStaticInScopeVariableType(QName varname)
                                                throws XQException

  Specified by:
    `getStaticInScopeVariableType` in interface `XQStaticContext`
  Throws:
    `XQException`

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Michael H. Kay. All rights reserved.